ads:read| Parameter | Description |
|---|---|
ad_account_idstring required | Unique identifier for the organization for which you are measuring conversion quality, such
as the owner of the website where events are occurring. |
source_platformstring optional | Use to filter results by event source platforms:
|
ingestion_sourcestring optional | Use to filter results by event ingestion sources:
|
lookback_periodstring required | Limit the results to events occurring within one day ( 1d14d |
curl --request GET \ --url 'https://api.pinterdev.com/v5/ad_accounts/123456789012/conversion_eqs?lookback_period=14d' \ --header 'authorization: Bearer pina_ABCD1234...'
overall_statussource_platformingestion_sourcead_account_idemailorder_idcoverage| Field | Description |
|---|---|
overall_statusstring | One of three event quality ratings for each user matching and event insight parameter:
Learn what each score means. |
quality_componentsobject | Provides a nested structure indicating the coverage percentage and any quality issues for
conversion event types associated with each relevant user matching and event insight parameter:
|
quality_components.[user matching/event insight parameter]string | Type of user matching or event insight parameter. |
quality_components.[user matching/event insight parameter].[event_type]string | Type of conversion event. |
quality_components.[user matching/event insight parameter].[event_type].coveragefloat | Percentage of events that include the parameter Can be whole numbers or decimals. |
quality_components.[user matching/event insight parameter].[event_type].issuesobject | Any problems that impact the event's coverage. Object structure includes:
|
source_platformingestion_source[ { "overall_status": "FAIR", "quality_components": { "ip_address": { "add_to_cart": { "coverage": 100 }, "view_category": { "coverage": 100 }, "lead": { "coverage": 100 }, "checkout": { "coverage": 100 }, "signup": { "coverage": 100 }, "page_visit": { "coverage": 100 } }, "order_id": { "checkout": { "coverage": 100 } }, "product_id": { "checkout": { "coverage": 100 }, "add_to_cart": { "coverage": 100 }, "page_visit": { "coverage": 0, "issues": [ { "id": "product_id_catalog_match", "name": "Low Product ID catalog match", "reason": "Some events aren't able to match the Product ID you are sending us to the Product ID in the catalog you uploaded to Pinterest." }, { "id": "product_id_coverage", "name": "Low Product ID coverage", "reason": "Some events aren't receiving Product ID." } ] } }, "user_agent": { "lead": { "coverage": 100 }, "checkout": { "coverage": 100 }, "page_visit": { "coverage": 100 }, "add_to_cart": { "coverage": 100 }, "signup": { "coverage": 100 }, "view_category": { "coverage": 100 } }, "order_value": { "checkout": { "coverage": 99.86 }, "add_to_cart": { "coverage": 100 } }, "external_id": { "lead": { "coverage": 100 }, "signup": { "coverage": 100 }, "view_category": { "coverage": 100 }, "add_to_cart": { "coverage": 100 }, "checkout": { "coverage": 100 }, "page_visit": { "coverage": 100 } }, "click_id": { "add_to_cart": { "coverage": 18.09 }, "checkout": { "coverage": 15.04 }, "view_category": { "coverage": 19.89 }, "signup": { "coverage": 1.99 }, "lead": { "coverage": 15.59 }, "page_visit": { "coverage": 17.59 } }, "maid": { "checkout": { "coverage": 0, "issues": [ { "id": "hashed_maid_valid", "name": "Invalid Hashed Maid", "reason": "Some events are receiving Hashed Maid in the wrong format. This could be because the Hashed Maid are not formatted or hashed correctly." }, { "id": "hashed_maid_coverage", "name": "Low Hashed Maid coverage", "reason": "Some events aren't receiving Hashed Maid." } ] }, "lead": { "coverage": 0, "issues": [ { "id": "hashed_maid_valid", "name": "Invalid Hashed Maid", "reason": "Some events are receiving Hashed Maid in the wrong format. This could be because the Hashed Maid are not formatted or hashed correctly." }, { "id": "hashed_maid_coverage", "name": "Low Hashed Maid coverage", "reason": "Some events aren't receiving Hashed Maid." } ] }, "signup": { "coverage": 0, "issues": [ { "id": "hashed_maid_valid", "name": "Invalid Hashed Maid", "reason": "Some events are receiving Hashed Maid in the wrong format. This could be because the Hashed Maid are not formatted or hashed correctly." }, { "id": "hashed_maid_coverage", "name": "Low Hashed Maid coverage", "reason": "Some events aren't receiving Hashed Maid." } ] }, "add_to_cart": { "coverage": 0, "issues": [ { "id": "hashed_maid_valid", "name": "Invalid Hashed Maid", "reason": "Some events are receiving Hashed Maid in the wrong format. This could be because the Hashed Maid are not formatted or hashed correctly." }, { "id": "hashed_maid_coverage", "name": "Low Hashed Maid coverage", "reason": "Some events aren't receiving Hashed Maid." } ] } }, "email": { "checkout": { "coverage": 100 }, "lead": { "coverage": 99.96 }, "add_to_cart": { "coverage": 100 }, "signup": { "coverage": 100 } } }, "ingestion_source": "CONVERSIONS_API", "source_platform": "MOBILE", "lookback_period": "14d" }, ... } ]